cURL
curl --request PATCH \
--url https://api.glideapps.com/tables/{tableID}/rows/{rowID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.5,
"amountPaid": 0
}
'import requests
url = "https://api.glideapps.com/tables/{tableID}/rows/{rowID}"
payload = {
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.5,
"amountPaid": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullName: 'Alex Bard',
invoiceDate: '2024-07-29T14:04:15.561Z',
totalAmount: 34.5,
amountPaid: 0
})
};
fetch('https://api.glideapps.com/tables/{tableID}/rows/{rowID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glideapps.com/tables/{tableID}/rows/{rowID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fullName' => 'Alex Bard',
'invoiceDate' => '2024-07-29T14:04:15.561Z',
'totalAmount' => 34.5,
'amountPaid' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glideapps.com/tables/{tableID}/rows/{rowID}"
payload := strings.NewReader("{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.glideapps.com/tables/{tableID}/rows/{rowID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glideapps.com/tables/{tableID}/rows/{rowID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "payment_required",
"message": "<string>"
}
}{
"error": {
"type": "row_not_found",
"message": "<string>"
}
}{
"error": {
"type": "precondition_failed",
"message": "<string>"
}
}{
"error": {
"type": "column_has_invalid_value",
"message": "<string>"
}
}Tables
Update Row
Updates a row in a Big Table
PATCH
/
tables
/
{tableID}
/
rows
/
{rowID}
cURL
curl --request PATCH \
--url https://api.glideapps.com/tables/{tableID}/rows/{rowID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.5,
"amountPaid": 0
}
'import requests
url = "https://api.glideapps.com/tables/{tableID}/rows/{rowID}"
payload = {
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.5,
"amountPaid": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullName: 'Alex Bard',
invoiceDate: '2024-07-29T14:04:15.561Z',
totalAmount: 34.5,
amountPaid: 0
})
};
fetch('https://api.glideapps.com/tables/{tableID}/rows/{rowID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glideapps.com/tables/{tableID}/rows/{rowID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fullName' => 'Alex Bard',
'invoiceDate' => '2024-07-29T14:04:15.561Z',
'totalAmount' => 34.5,
'amountPaid' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glideapps.com/tables/{tableID}/rows/{rowID}"
payload := strings.NewReader("{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.glideapps.com/tables/{tableID}/rows/{rowID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glideapps.com/tables/{tableID}/rows/{rowID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fullName\": \"Alex Bard\",\n \"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n \"totalAmount\": 34.5,\n \"amountPaid\": 0\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "payment_required",
"message": "<string>"
}
}{
"error": {
"type": "row_not_found",
"message": "<string>"
}
}{
"error": {
"type": "precondition_failed",
"message": "<string>"
}
}{
"error": {
"type": "column_has_invalid_value",
"message": "<string>"
}
}Updates an existing row in a Big Table.
If a column is not included in the passed row data, it will not be updated. If a column is passed that does not exist in the table schema, or with a value that does not match the column’s type, the default behavior is for no update to be made and the API call to return an error. However, you can control this behavior with the
onSchemaError query parameter.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ETag of the current table version. If provided, the request will fail if this row has been updated since the given version. See Data Versioning.
Pattern:
^"[0-9]+"$Path Parameters
Query Parameters
The action to take when the passed data does not match the table schema:
abort: Abort the entire operation and return an error.dropColumns: Ignore the data that caused the error, and do not import those columns in the affected rows.updateSchema: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.
Available options:
abort, dropColumns, updateSchema Example:
"updateSchema"
Body
application/json
Response
A 200 HTTP response code indicates that the row was successfully updated.
Was this page helpful?